---
title: Reference
---

## Glossary

* [artificial intelligence](https://glosario.carpentries.org/en/#artificial_intelligence)
* [machine learning](https://glosario.carpentries.org/en/#machine_learning)
* [deep learning](https://glosario.carpentries.org/en/#deep_learning)
* [neural network](https://glosario.carpentries.org/en/#neural_network)
* [convolutional neural network (CNN)](https://glosario.carpentries.org/en/#cnn)
* [recurrent neural network (RNN)](https://glosario.carpentries.org/en/#rnn)
* [accuracy](https://glosario.carpentries.org/en/#accuracy)
* [epoch](https://glosario.carpentries.org/en/#epoch_dl)
* [learning rate](https://glosario.carpentries.org/en/#learning_rate)
* [confusion matrix](https://glosario.carpentries.org/en/#confusion_matrix)
* [class imbalance](https://glosario.carpentries.org/en/#class_imbalance)
* [overfitting](https://glosario.carpentries.org/en/#overfitting)
* [hidden layer](https://glosario.carpentries.org/en/#hidden_layer)

## External references
Here is a (non exhaustive) list of external resources for further study after this lesson:

### Miscellaneous resources
- [the difference between validation data and test data](https://machinelearningmastery.com/difference-test-validation-datasets/)
- [underfitting and overfitting](https://machinelearningmastery.com/learning-curves-for-diagnosing-machine-learning-model-performance/)
- [Unbalanced data](https://towardsdatascience.com/handling-imbalanced-datasets-in-deep-learning-f48407a0e758)
- [Unbalanced data in Keras](https://www.tensorflow.org/tutorials/structured_data/imbalanced_data)
- [Tensorflow Playground, for visualizing neural networks](http://playground.tensorflow.org/)
- [ChatGPT prompt engineering course](https://learn.deeplearning.ai/chatgpt-prompt-eng/lesson/1/lesson_1)

### Some ML challenges or benchmarks
- https://mlcontests.com/
- [Kaggle, machine learning competitions](https://www.kaggle.com/)
- [protein structure prediction](https://predictioncenter.org/)
- [prediction of protein-protein interactions](https://www.ebi.ac.uk/msd-srv/capri/)


### Some courses for deeper learning:
- [Fast AI course: making neural nets uncool again](https://www.fast.ai/)
- [Intro to Deep Learning with PyTorch](https://www.udacity.com/course/deep-learning-pytorch--ud188), the course is quite intuitive
- Coursera courses by Andrew Ng: 
    - [AI for everyone](https://www.coursera.org/learn/ai-for-everyone), for beginners who won't do ML projects but are courious about what AI really is and what AI can do
    - [ML course](https://www.coursera.org/learn/machine-learning) and [DL course](https://www.coursera.org/specializations/deep-learning), quite intensive courses for beginner/intermediate-level researchers who will do ML/DL projects
    - [Structuring Machine Learning Projects](https://www.coursera.org/learn/machine-learning-projects), how to conduct ML projects with useful ML engineering strategies
    - [Book on Machine Learning](https://databricks.com/p/ebook/big-book-of-machine-learning-use-cases?utm_medium=paid+search&utm_source=google&utm_campaign=15631674924&utm_adgroup=130078635494&utm_content=ebook&utm_offer=big-book-of-machine-learning-use-cases&utm_ad=587637991591&utm_term=machine%20learning&gclid=CjwKCAjw9qiTBhBbEiwAp-GE0WaK3IrtfBeDWjb7L2ZDQg5_YgevbwoD288bq0sGgYNhcTlnjZfLaBoCC_EQAvD_BwE)
- [Book: Ian Goodfellow and Yoshua Bengio and Aaron Courville -  Deep Learning](https://www.deeplearningbook.org/). A really thorough, detailed (though math-heavy) book on everything (for example Generative Adverserial Networks or Autoencoders) you want to know about deep learning
- [Book: Simon J.D. Prince - Understanding Deep Learning](https://udlbook.github.io/udlbook/). A less dense and slightly more modern overview of deep learning with coding examples for each chapter.

