---
title: Learner Profiles
---

#### Ann from Meteorology

Ann has collected 2-3 GB of structured image data from several autonomous microscope on balloon expeditions into the atmosphere within her PhD programme. Each image has a timestamp which can be related to the height of the balloon at a given point and associated weather conditions. The images are unstructured and she would like to detect from the images if the balloon traversed a cloud or not. She has tried to do that with standard image processing methods, but the image artifacts to descriminate are somewhat diverse. Ann has used machine learning on tabular data before and would like to use Deep Learning for the images at hand. She saw collaborators in another lab do that and would like to pick up this skill.

#### Barbara from Material Science

Barbara just started her PostDoc in Material Science. Her new group has a large amount of scanning electron miscroscope images stored which exhibit several metals when exposed to a plasma. The team also made the effort to highlight solid deposits in these images and thus obtained 20,000 images with such annotations. Barbara performed some image analysis before and hence has the feeling that Deep Learning may help her in this task. She saw her labmates use ML algorithms for this and is motivated to finally understand these approaches.

#### Dan from Life Sciences

Dan produced a large population of bacteria that were subject to genetic alterations resulting in 10 different phenotypes. The latter can be identified by different colors, shapes and movement speed under a fluorescence microscope. Dan does not have much of experience with image processing techniques to segment these different objects, but used GUI based tools like [fiji](https://fiji.sc) and others. He has recorded 50-60 movies of 30 minutes each. 10 of these movies have been produced with one type of phenotype only. Dan doesn't consider himself a strong coder, but needs to identify bacteria of the phenotypes in the dataset. He is interested to learn if Deep Learning can help.

#### Eric from Pediatrics Science

Eric ran a large array of clinical trials in his hospital to improve children pharmaceutics for treating a common (non-lethal) virus. He obtained a table that lists: the progression of the treatment for each patient; the dose of the drug given; whether the patient was in the placebo group or not; and moe. As the table has more than 100 000 rows, Eric is certain that he can use ML to cluster the rows in one column where the data taking was inconsistent. Eric has coded before when necessary, but never saw it as something he needed to learn. His cheatsheet is his core wisdom with code. His supervisor invited him to take a course on Machine Learning as "this is the tech of these days!" his boss said.
